#4318 Webmin IP Access Control does not accept IPv6 addresses

Other
closed-fixed
nobody
None
5
2013-11-11
2013-10-28
JohnD8963
No

Adding IPv6 subnets in IP Access Control of the webmin configuration itself is not accepted. Only IPv4 addresses seem to be allowed.

Related

Bugs: #4318

Discussion

  • Jamie Cameron

    Jamie Cameron - 2013-10-28

    What format were you trying to enter an IPv6 subnet in?

     
  • Jamie Cameron

    Jamie Cameron - 2013-10-28

    The currently supported format is a partial address, so 2001:db8:0:f101 would match all IPv6 addresses beginning with that network.

     
  • JohnD8963

    JohnD8963 - 2013-10-29

    Hello Jamie,

    I used the corresponding format as i fit were IPv4 subnets. So in my case 2a00:1de0:0:10::/64.
    After caching it like you suggested, the entry is accepted.
    Entering a 'correct' subnet would be nicer (IMHO).

    Grtz,

    John

    Van: Jamie Cameron [mailto:jcameron@users.sf.net]
    Verzonden: maandag 28 oktober 2013 23:50
    Aan: [webadmin:bugs]
    Onderwerp: [webadmin:bugs] #4318 Webmin IP Access Control does not accept IPv6 addresses

    The currently supported format is a partial address, so 2001:db8:0:f101 would match all IPv6 addresses beginning with that network.


    [bugs:#4318]http://sourceforge.net/p/webadmin/bugs/4318/ Webmin IP Access Control does not accept IPv6 addresses

    Status: open
    Created: Mon Oct 28, 2013 07:30 PM UTC by JohnD8963
    Last Updated: Mon Oct 28, 2013 10:46 PM UTC
    Owner: nobody

    Adding IPv6 subnets in IP Access Control of the webmin configuration itself is not accepted. Only IPv4 addresses seem to be allowed.


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/webadmin/bugs/4318/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #4318

  • Jamie Cameron

    Jamie Cameron - 2013-11-11
    • status: open --> closed-fixed
     
  • Jamie Cameron

    Jamie Cameron - 2013-11-11

    The next Webmin release will instead using address/length format for IPv6 access control.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks